export declare class UiAudioActivityDisplay {
    private $main;
    private $activityDisplay;
    private $levelDiv;
    private mediaStreamSource;
    private audioContext;
    constructor();
    private analyserNode;
    bindToStream(userMediaStream: MediaStream): void;
    /**
     *  Returns a function, that will limit the invocation of the specified function to once in delay. Invocations that come before the end of delay are ignored!
     */
    private throttle;
    unbind(): void;
    private static getAverageVolume;
    getMainDomElement(): HTMLElement;
}
